#ifndef __READ_IPLIST_H__
#define __READ_IPLIST_H__

struct IPLISTA
{
    char		*str_ip;
    char		*iface;
    char		*int_iface;
    int			ip;
    int			factor;
    int			upload_factor;
    short		factor_cnt;
    short		upload_factor_cnt;
    int			mask;
    unsigned int	bool : 1;
    unsigned int	bool_upload : 1;
    unsigned int	refresh : 1; // 1 - jesli po reload zmienil sie CIR
    unsigned int	refresh_upload : 1; // 1 - jesli po reload zmienil sie CIR
    unsigned long int	lo;
    unsigned long int	hi;
    unsigned long int	lo_upload;
    unsigned long int	hi_upload;
    unsigned long int	limit;
    unsigned long int	limit_upload;
    unsigned long int	limit_lo;
    unsigned long int	limit_lo_upload;
    unsigned long int	limit_hi;
    unsigned long int	limit_hi_upload;
    unsigned int	prio : 3;
    unsigned int	prio_upload : 3;
    unsigned int	is_overlimit : 1;
    unsigned int	is_overlimit_upload : 1;
    unsigned int	is_shtb_overlimit : 1;
    unsigned int        is_shtb_overlimit_upload : 1;
    unsigned int	shtb_refresh : 1;
    unsigned int        shtb_refresh_upload : 1;
    unsigned long int	ipspeed;
    unsigned long int	ipspeed_upload;
    unsigned long int	iptime;
    unsigned long int	iptime_upload;
    unsigned long int	ipspeed_last;
    unsigned long int	ipspeed_last_upload;
    unsigned long int	ipspeed_last2;
    unsigned long int	ipspeed_last2_upload;
    unsigned long int	ipspeed_last2_counter;
    unsigned long int	ipspeed_last2_counter_upload;
    unsigned long int	iptime_last;
    unsigned long int	iptime_last_upload;
    unsigned long int	squid_speed;
    unsigned long int	squid_time;
    unsigned long int	squid_speed_last;
    unsigned long int	squid_speed_last2;
    unsigned long int	squid_time_last;
    unsigned long int	state_ipspeed_last;
    unsigned long int	state_ipspeed_last_upload;
    unsigned long int	state_squid_speed_last;
};


void read_iplist(char ***);
void reload_iplist(char ***);
void free_iplist(void);
unsigned int is_file(char *);
void read_last_state(char *);
void write_last_state(char *);

#endif
